#include <QStylePlugin>
#include "bianbustyle.h"

class BianbuPlugin : public QStylePlugin {
    Q_OBJECT
    Q_PLUGIN_METADATA(IID QStyleFactoryInterface_iid FILE "bianbu.json")
public:
    QStyle *create(const QString &key) override {
        if (key.compare("bianbu", Qt::CaseInsensitive) == 0) {
            return new BianbuStyle;
        }
        return nullptr;
    }
};

#include "bianbuplugin.moc"
